This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 642929 - C inspection code should ignore /dev/fd* in /etc/fstab
C inspection code should ignore /dev/fd* in /etc/fstab
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-14 04:35 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:18:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-10-14 04:35:26 EDT
Description of problem:

If you run guestfish -i on a guest which has /dev/fd0 in
/etc/fstab then it fails with the error:

libguestfs: error: mount_ro: mount_ro_stub: /dev/fd0: No such file or directory

Either this error should be caught and ignored, or the
C inspection code should ignore /dev/fd*

Version-Release number of selected component (if applicable):

guestfish 1.5.21
Comment 1 Richard W.M. Jones 2010-10-26 04:59:33 EDT
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-October/msg00067.html

Note You need to log in before you can comment on or make changes to this bug.